using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

namespace Library
{
	public class fMain : System.Windows.Forms.Form
	{
		private System.Windows.Forms.TabControl tabMain;
		private System.Windows.Forms.TabPage tabIndex;
		public System.Windows.Forms.TreeView tvwIndex;
		private System.Windows.Forms.ImageList tabIcons;
		private System.Windows.Forms.TabPage tabSearch;
		private System.Windows.Forms.Label label1;
		public System.Windows.Forms.ComboBox cboSearch;
		private System.Windows.Forms.Label label2;
		public System.Windows.Forms.ComboBox cboFilter;
		private System.Windows.Forms.Button btnSearch;
		public System.Windows.Forms.CheckBox chkTitles;
		public System.Windows.Forms.CheckBox chkPrevResults;
		private System.Windows.Forms.Button btnHistory;
		private System.Windows.Forms.Button btnAddEntry;
		private System.ComponentModel.IContainer components;

		public fMain()
		{
			InitializeComponent();
			this.Text = modMain.AppName;
			this.Location = modMain.frmPos;
			foreach(string pStr in modMain.SearchedFor)
				if(pStr != "")
					this.cboSearch.Items.Add(pStr);
			this.tvwIndex.Scrollable = true;
		}

		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(fMain));
			this.tabMain = new System.Windows.Forms.TabControl();
			this.tabIndex = new System.Windows.Forms.TabPage();
			this.btnAddEntry = new System.Windows.Forms.Button();
			this.tvwIndex = new System.Windows.Forms.TreeView();
			this.tabSearch = new System.Windows.Forms.TabPage();
			this.btnHistory = new System.Windows.Forms.Button();
			this.chkPrevResults = new System.Windows.Forms.CheckBox();
			this.chkTitles = new System.Windows.Forms.CheckBox();
			this.btnSearch = new System.Windows.Forms.Button();
			this.cboFilter = new System.Windows.Forms.ComboBox();
			this.label2 = new System.Windows.Forms.Label();
			this.cboSearch = new System.Windows.Forms.ComboBox();
			this.label1 = new System.Windows.Forms.Label();
			this.tabIcons = new System.Windows.Forms.ImageList(this.components);
			this.tabMain.SuspendLayout();
			this.tabIndex.SuspendLayout();
			this.tabSearch.SuspendLayout();
			this.SuspendLayout();
			// 
			// tabMain
			// 
			this.tabMain.Controls.AddRange(new System.Windows.Forms.Control[] {
																				  this.tabIndex,
																				  this.tabSearch});
			this.tabMain.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.tabMain.ImageList = this.tabIcons;
			this.tabMain.Location = new System.Drawing.Point(8, 8);
			this.tabMain.Multiline = true;
			this.tabMain.Name = "tabMain";
			this.tabMain.SelectedIndex = 0;
			this.tabMain.Size = new System.Drawing.Size(280, 256);
			this.tabMain.TabIndex = 1;
			// 
			// tabIndex
			// 
			this.tabIndex.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(0)), ((System.Byte)(0)), ((System.Byte)(0)), ((System.Byte)(5)));
			this.tabIndex.Controls.AddRange(new System.Windows.Forms.Control[] {
																				   this.btnAddEntry,
																				   this.tvwIndex});
			this.tabIndex.ForeColor = System.Drawing.Color.Black;
			this.tabIndex.ImageIndex = 0;
			this.tabIndex.Location = new System.Drawing.Point(4, 23);
			this.tabIndex.Name = "tabIndex";
			this.tabIndex.Size = new System.Drawing.Size(272, 229);
			this.tabIndex.TabIndex = 0;
			this.tabIndex.Text = "Index";
			// 
			// btnAddEntry
			// 
			this.btnAddEntry.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.btnAddEntry.Location = new System.Drawing.Point(192, 200);
			this.btnAddEntry.Name = "btnAddEntry";
			this.btnAddEntry.Size = new System.Drawing.Size(72, 24);
			this.btnAddEntry.TabIndex = 3;
			this.btnAddEntry.Text = "Add Entry";
			this.btnAddEntry.Click += new System.EventHandler(this.btnAddEntry_Click);
			// 
			// tvwIndex
			// 
			this.tvwIndex.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(255)), ((System.Byte)(255)), ((System.Byte)(192)));
			this.tvwIndex.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.tvwIndex.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.tvwIndex.FullRowSelect = true;
			this.tvwIndex.HotTracking = true;
			this.tvwIndex.ImageIndex = -1;
			this.tvwIndex.ImeMode = System.Windows.Forms.ImeMode.NoControl;
			this.tvwIndex.Indent = 18;
			this.tvwIndex.ItemHeight = 18;
			this.tvwIndex.Location = new System.Drawing.Point(8, 8);
			this.tvwIndex.Name = "tvwIndex";
			this.tvwIndex.SelectedImageIndex = -1;
			this.tvwIndex.ShowRootLines = false;
			this.tvwIndex.Size = new System.Drawing.Size(256, 192);
			this.tvwIndex.Sorted = true;
			this.tvwIndex.TabIndex = 1;
			this.tvwIndex.MouseDown += new System.Windows.Forms.MouseEventHandler(this.tvwIndex_MouseDown);
			this.tvwIndex.MouseUp += new System.Windows.Forms.MouseEventHandler(this.tvwIndex_MouseUp);
			// 
			// tabSearch
			// 
			this.tabSearch.Controls.AddRange(new System.Windows.Forms.Control[] {
																					this.btnHistory,
																					this.chkPrevResults,
																					this.chkTitles,
																					this.btnSearch,
																					this.cboFilter,
																					this.label2,
																					this.cboSearch,
																					this.label1});
			this.tabSearch.ImageIndex = 1;
			this.tabSearch.Location = new System.Drawing.Point(4, 23);
			this.tabSearch.Name = "tabSearch";
			this.tabSearch.Size = new System.Drawing.Size(272, 229);
			this.tabSearch.TabIndex = 1;
			this.tabSearch.Text = "Search";
			// 
			// btnHistory
			// 
			this.btnHistory.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.btnHistory.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.btnHistory.Location = new System.Drawing.Point(16, 184);
			this.btnHistory.Name = "btnHistory";
			this.btnHistory.Size = new System.Drawing.Size(80, 24);
			this.btnHistory.TabIndex = 7;
			this.btnHistory.Text = "Clear History";
			this.btnHistory.Click += new System.EventHandler(this.btnHistory_Click);
			// 
			// chkPrevResults
			// 
			this.chkPrevResults.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.chkPrevResults.Location = new System.Drawing.Point(16, 160);
			this.chkPrevResults.Name = "chkPrevResults";
			this.chkPrevResults.Size = new System.Drawing.Size(176, 16);
			this.chkPrevResults.TabIndex = 6;
			this.chkPrevResults.Text = "Search in previous results only";
			// 
			// chkTitles
			// 
			this.chkTitles.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.chkTitles.Location = new System.Drawing.Point(16, 136);
			this.chkTitles.Name = "chkTitles";
			this.chkTitles.Size = new System.Drawing.Size(144, 16);
			this.chkTitles.TabIndex = 5;
			this.chkTitles.Text = "Search in titles only";
			// 
			// btnSearch
			// 
			this.btnSearch.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.btnSearch.Location = new System.Drawing.Point(16, 104);
			this.btnSearch.Name = "btnSearch";
			this.btnSearch.Size = new System.Drawing.Size(72, 24);
			this.btnSearch.TabIndex = 4;
			this.btnSearch.Text = "Search";
			this.btnSearch.Click += new System.EventHandler(this.btnSearch_Click);
			// 
			// cboFilter
			// 
			this.cboFilter.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.cboFilter.Location = new System.Drawing.Point(16, 72);
			this.cboFilter.Name = "cboFilter";
			this.cboFilter.Size = new System.Drawing.Size(160, 21);
			this.cboFilter.TabIndex = 3;
			this.cboFilter.Text = "(no filter)";
			// 
			// label2
			// 
			this.label2.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label2.Location = new System.Drawing.Point(16, 56);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(96, 16);
			this.label2.TabIndex = 2;
			this.label2.Text = "Filtered by:";
			// 
			// cboSearch
			// 
			this.cboSearch.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.cboSearch.Location = new System.Drawing.Point(16, 32);
			this.cboSearch.Name = "cboSearch";
			this.cboSearch.Size = new System.Drawing.Size(160, 21);
			this.cboSearch.TabIndex = 1;
			this.cboSearch.KeyPress += new System.Windows.Forms.KeyPressEventHandler(this.cboSearch_KeyPress);
			// 
			// label1
			// 
			this.label1.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label1.Location = new System.Drawing.Point(16, 16);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(112, 16);
			this.label1.TabIndex = 0;
			this.label1.Text = "Look for:";
			// 
			// tabIcons
			// 
			this.tabIcons.ColorDepth = System.Windows.Forms.ColorDepth.Depth8Bit;
			this.tabIcons.ImageSize = new System.Drawing.Size(16, 16);
			this.tabIcons.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("tabIcons.ImageStream")));
			this.tabIcons.TransparentColor = System.Drawing.Color.Transparent;
			// 
			// fMain
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(292, 270);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.tabMain});
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.MaximizeBox = false;
			this.Name = "fMain";
			this.StartPosition = System.Windows.Forms.FormStartPosition.Manual;
			this.Text = "Library";
			this.Closing += new System.ComponentModel.CancelEventHandler(this.fMain_Closing);
			this.Load += new System.EventHandler(this.fMain_Load);
			this.tabMain.ResumeLayout(false);
			this.tabIndex.ResumeLayout(false);
			this.tabSearch.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		private void fMain_Closing(object sender, System.ComponentModel.CancelEventArgs e)
		{
			modMain.Finish = true;
			foreach(object obj in this.cboSearch.Items)
				modMain.SaveSearched += obj.ToString() + "|";
		}

		private void chkEmpty_CheckStateChanged(object sender, System.EventArgs e)
		{
		}

		private void cboSearch_KeyPress(object sender, System.Windows.Forms.KeyPressEventArgs e)
		{
			if(e.KeyChar == (char)13 && cboSearch.Text.Length > 2)
			{
				e.Handled = true;
				modMain.Search(this.cboSearch.Text, this.cboFilter.Text);
			}
		}

		private void btnSearch_Click(object sender, System.EventArgs e)
		{
			if(cboSearch.Text.Length > 2)
				modMain.Search(this.cboSearch.Text, this.cboFilter.Text);
		}

		private void btnHistory_Click(object sender, System.EventArgs e)
		{
			this.cboSearch.Items.Clear();
		}


		private void tvwIndex_MouseUp(object sender, System.Windows.Forms.MouseEventArgs e)
		{
			
		}

		private void btnAddEntry_Click(object sender, System.EventArgs e)
		{
			try
			{

				modMain.frmAdd.Show();}
			catch{}
		}

		private void tvwIndex_MouseDown(object sender, System.Windows.Forms.MouseEventArgs e)
		{
			try
			{
				TreeNode temp = this.tvwIndex.GetNodeAt(e.X, e.Y);
				if(temp.Parent.Parent.Text == "s"){}
				modMain.SelectedCode = modMain.FindCode(temp.Tag.ToString(), temp.Parent.Text);
				modMain.OpenCodeWindow();
			}
			catch{}
		}

		private void fMain_Load(object sender, System.EventArgs e)
		{
		
		}
	}
}
